import m from "mithril";
import _isEmpty from "lodash.isempty"
import Siswa from "../models/Siswa"
import AccessLog from "../models/AccessLog"

var component = {
    oninit: () => {
        document.title = 'Surat Kelulusan Siswa - SMK Bhakti Anindya';
        Siswa.current = {};
        AccessLog.fetch('surat-kelulusan');
    },
    view: () => {
        return [
            m('.header', [
                m('span.italic.text-xs', [
                    'Saat ini sudah ',
                    m('strong', [
                        AccessLog.current.accessed,
                        ' / ',
                        AccessLog.current.total,
                    ]),
                    ' siswa yang telah melihat pengumuman kelulusan.'
                ]),
                m('h1.title', 'Surat Kelulusan Siswa SMK Bhakti Anindya'),
                m('span', 'Silahkan masukkan NISN dan Tanggal Lahir kamu di bawah ini.'),
            ]),
            m('form.form', {
                onsubmit: e => {
                    e.preventDefault();
                    Siswa.cariData({
                        nisn: e.target.elements.nisn.value,
                        tanggalLahir: e.target.elements.tanggalLahir.value,
                        src: 'surat-kelulusan',
                    });
                }
            },
                m('.form-grid', [
                    m('.form-group', [
                        m('label.form-label[for=input-nisn]', 'NISN'),
                        m('input.form-input.input-text#input-nisn[name=nisn][type=text][autocomplete=off][required]'),
                        m('p.input-helper', [
                            'Nomor Induk Siswa Nasional. ',
                            !_isEmpty(Siswa.error) ?
                            Siswa.error.errors.siswa != undefined ? m('span.error', Siswa.error.errors.siswa[0] + ' ')
                            : Siswa.error.errors.nisn != undefined ? m('span.error', Siswa.error.errors.nisn[0] + ' ')
                            : '' : '',
                        ]),
                    ]),
                    m('.form-group', [
                        m('label.form-label[for=input-tanggalLahir]', 'Tanggal Lahir'),
                        m('input.form-input.input-text#input-tanggalLahir[name=tanggalLahir][type=text][autocomplete=off][required]'),
                        m('p.input-helper', [
                            'Tanggal lahir dengan format YYYYMMDD. Contoh: untuk tanggal 29 Mei 2000 ditulis 20000529. ',
                            !_isEmpty(Siswa.error) && Siswa.error.errors.tanggalLahir != undefined ? m('span.error', Siswa.error.errors.tanggalLahir[0] + ' ') : '',
                        ]),
                    ]),
                    m('button.form-submit#input-submit[type=submit]', 'Lihat'),
                ])),
            m(!_isEmpty(Siswa.current) ? '.letter' : '.letter.hidden', [
                m('span.mobile-info', 'Untuk mencetak surat ini, harap gunakan browser di desktop PC.'),
                m('button.print-button', {
                    onclick: () => {
                        window.print();
                    }
                }, [
                    m.trust('&#9113;'),
                    ' Print',
                ]),
                m('.letter__header', [
                    m('img[src=img/letter-head.jpg]'),
                ]),
                m('', {
                    style: {
                        height: '1px',
                        width: '100%',
                        backgroundColor: '#000',
                        marginTop: '.5rem',
                    }}),
                m('', {
                    style: {
                        height: '3px',
                        width: '100%',
                    }}),
                m('', {
                    style: {
                        height: '3px',
                        width: '100%',
                        backgroundColor: '#000',
                        marginBottom: '1rem',
                    }}),
                m('.letter__body', [
                    m('strong.letter__body-header', [
                        m('p', 'KEPUTUSAN'),
                        m('p', 'KEPALA SEKOLAH MENENGAH KEJURUAN (SMK) BHAKTI ANINDYA'),
                        m('p', 'Nomor: 076 / SMK - BA / V / 2019'),
                        m('p', 'TENTANG'),
                        m('p', 'KELULUSAN PESERTA UJIAN DARI SATUAN PENDIDIKAN'),
                        m('p', 'TAHUN PELAJARAN 2018 / 2019'),
                        m('br'),
                        m('p', 'KEPALA SMK BHAKTI ANINDYA'),
                    ]),
                    m('br'),
                    m('table', [
                        m('tr', [
                            m('td', 'Menimbang'),
                            m('td', ':'),
                            m('td', '1.'),
                            m('td[colspan=3]', 'Bahwa  dalam  rangka  pengumuman  hasil  ujian  akhir kelas  XII Tahun  Pelajaran  2018/2019  dipandang perlu untuk menerbitkan  surat keputusan tentang kelulusan peserta ujian dari satuan pendidikan SMK Bhakti Anindya.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '2.'),
                            m('td[colspan=3]', 'Bahwa peserta ujian yang namanya tercantum pada surat keputusan ini dipandang cakap,  kompeten, dan layak untuk dinyatakan lulus dari Satuan Pendidikan SMK   Bhakti Anindya.'),
                        ]),
                        m('br'),
                        m('tr', [
                            m('td', 'Mengingat'),
                            m('td', ':'),
                            m('td', '1.'),
                            m('td[colspan=3]', 'Undang Undang No. 20 Tahun 2003 tentang Sistem Pendidikan Nasional.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '2.'),
                            m('td[colspan=3]', 'Permendikbud  Nomor 57 Tahun 2015 Tentang Penilaian Hasil Belajar Oleh Pemerintah  Melalui  Ujian  Nasional Dan Penilaian Hasil Belajar Oleh Satuan Pendidikan Melalui  Ujian  Sekolah/  Madrasah/  Pendidikan  Kesetaraan Pada SMP/ MTs/ Yang Sederajat Dan SMA/ MA/ SMK Atau Yang Sederajat.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '3.'),
                            m('td[colspan=3]', 'Peraturan  BSNP  NOMOR: 0047/P/BSNP/XI/2018  tentang  Prosedur Operasional Standar  Penyelenggaraan  Ujian Nasional Tahun Pelajaran 2018/2019.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '4.'),
                            m('td[colspan=3]', 'Peraturan  BSNP  NOMOR: 0048/BSNP/XI/2018  tentang  Prosedur Operasional Standar  Penyelenggaraan  Ujian Sekolah Berstandar Nasaional Tahun Pelajaran 2018/2019.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '5.'),
                            m('td[colspan=3]', 'Pedoman Penyelenggaraan UKK dan Sertifikasi  Siswa SMK pada Ujian Nasional Tahun Pelajaran 2017/2018.'),
                        ]),
                        m('br'),
                        m('tr', [
                            m('td', 'Memperhatikan'),
                            m('td', ':'),
                            m('td', '1.'),
                            m('td[colspan=3]', 'Nilat raport semester 1 – 6 Tahun Pelajaran 2016/2017 – 2018/2019.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '2.'),
                            m('td[colspan=3]', 'Nilai Hasil Ujian Praktik Kejuruan ( UPK ) yang diselenggarakan tanggal 1 April s.d 3 Mei 2019.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '3.'),
                            m('td[colspan=3]', 'Nilai Hasil Ujian Sekolah Berstandar Nasional (USBN) yang diselenggarakan tanggal 05 – 12 April 2019.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '4.'),
                            m('td[colspan=3]', 'Nilai Hasil Ujian Nasional Berbasis Komputer (UNBK) yang diselenggarakan tanggal 25 – 28 Maret 2019.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '5.'),
                            m('td[colspan=3]', 'Hasil pengamatan dan penilaian mengenai sikap, prilaku, dan kepribadian yang bersangkutan selama menjadi siswa SMK Bhakti Anindya.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '6.'),
                            m('td[colspan=3]', 'Hasil Rapat Pleno  Dewan Guru SMK Bhakti Anindya tanggal 10 Mei 2019.'),
                        ]),
                        m('tr', [
                            m('td[colspan=2]'),
                            m('td', '7.'),
                            m('td[colspan=3]', 'Surat Keputusan Tentang Kriteria Kelulusan dari Satuan Pendidikan.'),
                        ]),
                        m('tr',
                            m('td.text-center[colspan=6]', 'MEMUTUSKAN :')),
                        m('tr', [
                            m('td', 'Menetapkan'),
                            m('td', ':'),
                        ]),
                        m('tr', [
                            m('td', 'Pertama'),
                            m('td', ':'),
                            m('td'),
                            m('td', 'Nama Peserta'),
                            m('td.strong', ':'),
                            m('td.strong', Siswa.current.nama),
                        ]),
                        m('tr', [
                            m('td[colspan=3]'),
                            m('td', 'Tempat & Tanggal Lahir'),
                            m('td.strong', ':'),
                            m('td.strong', Siswa.current.tempat_lahir + ' , ' + Siswa.current.tanggal_lahir),
                        ]),
                        m('tr', [
                            m('td[colspan=3]'),
                            m('td', 'NIS / NISN'),
                            m('td.strong', ':'),
                            m('td.strong', Siswa.current.nis + ' / ' + Siswa.current.nisn),
                        ]),
                        m('tr', [
                            m('td[colspan=3]'),
                            m('td', 'Nomor Peserta'),
                            m('td.strong', ':'),
                            m('td.strong', Siswa.current.nopes),
                        ]),
                        m('tr', [
                            m('td[colspan=3]'),
                            m('td', 'Bidang Studi Keahlian'),
                            m('td.strong', ':'),
                            m('td.strong', Siswa.current.bsk),
                        ]),
                        m('tr', [
                            m('td[colspan=3]'),
                            m('td', 'Program Studi Keahlian'),
                            m('td.strong', ':'),
                            m('td.strong', Siswa.current.psk),
                        ]),
                        m('tr', [
                            m('td[colspan=3]'),
                            m('td', 'Kompetensi Keahlian'),
                            m('td.strong', ':'),
                            m('td.strong', Siswa.current.kk),
                        ]),
                        m('tr', [
                            m('td[colspan=3]'),
                            m('td[colspan=3]', [
                                'Dinyatakan ',
                                m('span.special', 'LULUS'),
                                ' dari satuan pendidikan SMK Bhakti Anindya Tahun Pelajaran 2018/2019',
                            ]),
                        ]),
                        m('br'),
                        m('tr', [
                            m('td', 'Kedua'),
                            m('td', ':'),
                            m('td[colspan=4]', 'Surat Keputusan ini dikeluarkan sebagai pengganti ijazah yang akan diterbitkan kemudian.'),
                        ]),
                        m('tr', [
                            m('td', 'Ketiga'),
                            m('td', ':'),
                            m('td[colspan=4]', 'Apabila dalam Surat Keputusan ini terdapat kekeliruan akan dilakukan perbaikan sebagaimana mestinya.'),
                        ]),
                        m('tr', [
                            m('td', 'Keempat'),
                            m('td', ':'),
                            m('td[colspan=4]', 'Surat Keputusan ini berlaku terhitung mulai tanggal ditetapkan.'),
                        ]),
                    ]),
                    m('table.signature', [
                        m('tr', [
                            m('td', 'Ditetapkan di'),
                            m('td', ':'),
                            m('td', 'Tangerang'),
                        ]),
                        m('tr', [
                            m('td', 'Pada Tanggal'),
                            m('td', ':'),
                            m('td', '13 Mei 2019'),
                        ]),
                        m('tr',
                            m('td', 'Kepala Sekolah,')),
                        m('tr',
                            m('td[colspan=3]',
                              m('.letter__sign',
                                m('img[src=img/letter-sign.png]', {style: { maxHeight: '80%' }})))),
                        m('tr',
                            m('td[colspan=3]', 'Drs. Engkos Kosasih, M.M.')),
                    ]),
                ]),
            ]),
        ];
    },
};

export default component;
